package com.tofly.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.custom.entity.dto.WisdomDisplayDto;
import com.tofly.custom.entity.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustomDisplayMapper {

    List<ScadaIndexNewVo> getScadaIndexData(WisdomDisplayDto wis);

    List<DeviceByTypeVo>getDeviceType();

    Page<ScadaIndexVo> getHistoryPageData(Page page,@Param("dto")WisdomDisplayDto wis);

   /*  String getTotalFlow(@Param("codes")List<String> codes, @Param("startTime")Date startTime, @Param("endTime")Date endTime);


   List<WaterStationVo> getWaterStationInfo(WisdomDisplayDto wis);




    List<WaterSourceScadaVo> getWaterSourceScada(String startDate, String endDate, List<Long> indexTypes);

    Integer getDeviceCount(String deviceType);

    Integer getTableUserNum();

    List<PipeMaterialCensusVo> getPipeMaterialCensus();

    List<UserTotalVo> getNewUserTotalMonth();

    Integer getUserTotal(String censusMonth);

    BigDecimal getDesignProcessCapacity(String name);

    List<DeviceByTypeVo> getDeviceTypeList(String deviceTypeName);

      String getNightTotalFlow(@Param("codes")List<String> codes, @Param("startTime")Date startTime, @Param("endTime")Date endTime);



    *//**
     * 指标类型列表
     * @param codes
     * @return
     *//*
    List<ScadaFlowVo>getWaterFlowComm(@Param("codes")List<String> codes, @Param("startTime")Date startTime, @Param("endTime")Date endTime);




    List<ScadaFlowVo> getWaterNightFlowComm(@Param("codes")List<String> codes, @Param("startTime")Date startTime, @Param("endTime")Date endTime);

    List<ScadaFlowVo>getWaterFlowCommNew(@Param("isNight")Integer isNight, @Param("codes")List<String> codes, @Param("startDate")String startDate, @Param("endDate")String endDate, @Param("startTime")String startTime, @Param("endTime")String endTime,Integer minutes);


    List<ScadaStaticAccFlowVo>getScadaStaticAccFlowReport(@Param("codes")List<String> codes, @Param("codesWs")List<String> codesWs, @Param("startDate")String startDate, @Param("endDate")String endDate, @Param("startTime")String startTime, @Param("endTime")String endTime, Integer minutes);

    List<ScadaStaticFlowVo> getScadaStaticFlowReport(@Param("codes")List<String> codes, @Param("codesWs")List<String> codesWs, @Param("startDate")String startDate, @Param("endDate")String endDate, @Param("startTime")String startTime, @Param("endTime")String endTime, Integer minutes);*/
}
